Bug 86208 - Crash when inserting TOC with chapter numbering applied
Summary: Crash when inserting TOC with chapter numbering applied
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-12 15:18 UTC by sophie
Modified: 2015-01-08 17:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
doc to reproduce (19.63 KB, application/vnd.oasis.opendocument.text)
2014-11-12 15:18 UTC, sophie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sophie 2014-11-12 15:18:58 UTC
Created attachment 109351 [details]
doc to reproduce

Hi, steps to reproduce
- in the attached document, go to page 2
- select Insert > Index and Tables > Index and Tables
==> Writer crashes
The terminal shows 
soffice.bin: malloc.c:3524: _int_malloc: Assertion `(bck->bk->size & 0x4) == 0' failed.
or
free(): invalid next size (normal): 0x00000000040c2350 ***
Version: 4.4.0.0.alpha2+
Build ID: 98f9baa5253f7bb8034f148519f31f548b1452fa
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-11-12_00:13:54 Ubuntu 14.10 x64.
Comment 1 sophie 2014-11-12 15:43:10 UTC
I thought Chapter numbering was related, but even without the dialog shows for some seconds and then it crashes. Sophie
Comment 2 V Stuart Foote 2014-11-13 00:19:17 UTC
Sophi, *,

I can't confirm the crash or malloc issue.

Loaded up debug build on Fedora 20, 64-bit GNOME 3 DE
Version: 4.4.0.0.alpha2+
Build ID: 1c526c9ddda5d52f7a4db5655a4ec60b8c62835c
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-11_23:20:41

get a mix of warnings
warn:legacy.osl:39768:1:sw/source/core/layout/atrfrm.cxx:3306: getSdrAllFillAttributesHelper() call only valid for RES_FLYFRMFMT and RES_FRMFMT (!)
warn:legacy.osl:39768:1:sw/source/core/txtnode/thints.cxx:3209: +SwpHints::Insert: invalid hint, end < start

and a final one at the end of the TOC build
warn:fwk:39768:1:framework/source/fwi/threadhelp/transactionmanager.cxx:265: TransactionManager...: Owner instance stand in close method. Call was rejected!

but no crash, TOC looks well formed.

Stuart
Comment 3 Buovjaga 2014-11-16 19:52:26 UTC
No crash. Get same warnings as V. S. Foote.

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 3cf226622a3d8c09d655034dbcc81695f1662b87
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-15_23:24:22
Comment 4 Joel Madero 2015-01-06 18:23:08 UTC
Also cannot confirm.

Ubuntu 14.04
LibreOffice 4.4 beta 2

For now setting to WFM as we have three people unable to confirm.

Sophi - can you test again with beta2 (or daily). If you can still reproduce, set to unconfirmed again and we'll continue trying to confirm it.

BTW - are you able to do a backtrace?
Comment 5 sophie 2015-01-08 17:25:20 UTC
Just for information, retested today with Version: 4.4.0.1.0+
Build ID: a7f76a197900e7ece5d09fed2bf7920a42425e9c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2014-12-23_15:24:54
Locale: fr_FR
and it doesn't crash anymore :) Sophie